aws-0.24.2: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.DeleteUser

Synopsis

- data DeleteUser = DeleteUser Text
- data DeleteUserResponse = DeleteUserResponse

# Documentation

data DeleteUser #

Deletes the specified user.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_DeleteUser.html

Constructors

DeleteUser Text |

#### Instances

Instances details

SignQuery DeleteUser # |

Instance details

Defined in Aws.Iam.Commands.DeleteUser

Associated Types

type ServiceConfiguration DeleteUser |
Instance details Defined in Aws.Iam.Commands.DeleteUser type ServiceConfiguration DeleteUser = IamConfiguration

Methods

signQuery :: DeleteUser -> ServiceConfiguration DeleteUser queryType -> SignatureData -> SignedQuery #

Show DeleteUser # |
Instance details Defined in Aws.Iam.Commands.DeleteUser Methods showsPrec :: Int -> DeleteUser -> ShowS # show :: DeleteUser -> String # showList :: [DeleteUser] -> ShowS #
Eq DeleteUser # |
Instance details Defined in Aws.Iam.Commands.DeleteUser Methods (==) :: DeleteUser -> DeleteUser -> Bool # (/=) :: DeleteUser -> DeleteUser -> Bool #
Ord DeleteUser # |
Instance details Defined in Aws.Iam.Commands.DeleteUser Methods compare :: DeleteUser -> DeleteUser -> Ordering # (<) :: DeleteUser -> DeleteUser -> Bool # (<=) :: DeleteUser -> DeleteUser -> Bool # (>) :: DeleteUser -> DeleteUser -> Bool # (>=) :: DeleteUser -> DeleteUser -> Bool # max :: DeleteUser -> DeleteUser -> DeleteUser # min :: DeleteUser -> DeleteUser -> DeleteUser #
ResponseConsumer DeleteUser DeleteUserResponse # |

Instance details

Defined in Aws.Iam.Commands.DeleteUser

Associated Types

type ResponseMetadata DeleteUserResponse |
Instance details Defined in Aws.Iam.Commands.DeleteUser type ResponseMetadata DeleteUserResponse = IamMetadata

Methods

responseConsumer :: Request -> DeleteUser -> IORef (ResponseMetadata DeleteUserResponse) -> HTTPResponseConsumer DeleteUserResponse #

Transaction DeleteUser DeleteUserResponse # |
Instance details Defined in Aws.Iam.Commands.DeleteUser
type ServiceConfiguration DeleteUser # |
Instance details Defined in Aws.Iam.Commands.DeleteUser type ServiceConfiguration DeleteUser = IamConfiguration

data DeleteUserResponse #

Constructors

DeleteUserResponse |

#### Instances

Instances details

AsMemoryResponse DeleteUserResponse # |

Instance details

Defined in Aws.Iam.Commands.DeleteUser

Associated Types

type MemoryResponse DeleteUserResponse |
Instance details Defined in Aws.Iam.Commands.DeleteUser type MemoryResponse DeleteUserResponse = DeleteUserResponse

Methods

loadToMemory :: DeleteUserResponse -> ResourceT IO (MemoryResponse DeleteUserResponse) #

Show DeleteUserResponse # |
Instance details Defined in Aws.Iam.Commands.DeleteUser Methods showsPrec :: Int -> DeleteUserResponse -> ShowS # show :: DeleteUserResponse -> String # showList :: [DeleteUserResponse] -> ShowS #
Eq DeleteUserResponse # |
Instance details Defined in Aws.Iam.Commands.DeleteUser Methods (==) :: DeleteUserResponse -> DeleteUserResponse -> Bool # (/=) :: DeleteUserResponse -> DeleteUserResponse -> Bool #
Ord DeleteUserResponse # |

Instance details

Defined in Aws.Iam.Commands.DeleteUser

Methods

compare :: DeleteUserResponse -> DeleteUserResponse -> Ordering #

(<) :: DeleteUserResponse -> DeleteUserResponse -> Bool #

(<=) :: DeleteUserResponse -> DeleteUserResponse -> Bool #

(>) :: DeleteUserResponse -> DeleteUserResponse -> Bool #

(>=) :: DeleteUserResponse -> DeleteUserResponse -> Bool #

max :: DeleteUserResponse -> DeleteUserResponse -> DeleteUserResponse #

min :: DeleteUserResponse -> DeleteUserResponse -> DeleteUserResponse #

ResponseConsumer DeleteUser DeleteUserResponse # |

Instance details

Defined in Aws.Iam.Commands.DeleteUser

Associated Types

type ResponseMetadata DeleteUserResponse |
Instance details Defined in Aws.Iam.Commands.DeleteUser type ResponseMetadata DeleteUserResponse = IamMetadata

Methods

responseConsumer :: Request -> DeleteUser -> IORef (ResponseMetadata DeleteUserResponse) -> HTTPResponseConsumer DeleteUserResponse #

Transaction DeleteUser DeleteUserResponse # |
Instance details Defined in Aws.Iam.Commands.DeleteUser
type MemoryResponse DeleteUserResponse # |
Instance details Defined in Aws.Iam.Commands.DeleteUser type MemoryResponse DeleteUserResponse = DeleteUserResponse
type ResponseMetadata DeleteUserResponse # |
Instance details Defined in Aws.Iam.Commands.DeleteUser type ResponseMetadata DeleteUserResponse = IamMetadata